Package: org.codehaus.groovy.grails.web.pages.discovery

## [Java] Interface GroovyPageScriptSource

- Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getURI()` @return The URI of the Groovy page
    `boolean` | `isPublic()` Whether the GSP is publicly accessible directly, or only usable using internal rendering

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface org.springframework.scripting.ScriptSource` | `org.springframework.scripting.ScriptSource#isModified(), org.springframework.scripting.ScriptSource#suggestedClassName(), org.springframework.scripting.ScriptSource#getScriptAsString()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String getURI()

      Returns:
        The URI of the Groovy page

    - #### public boolean isPublic()

      Whether the GSP is publicly accessible directly, or only usable using internal rendering

      Returns:
        true if it can be rendered publicly